// ocdweb.cpp : Defines the initialization routines for the DLL.
//
//	Copyright (c) 1997-2006, Firetongue Software
//

#include "stdafx.h"

#include <initguid.h>
#include "pluginapi.h"
#include "ocdweb.h"
#include "CWebSearchPlugin.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

STDAPI GetPlugin(DWORD dwReserved, IOUIPlugin **ppPlugin)
{
	if (!ppPlugin)
		return E_POINTER;

	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CWebSearchPlugin *pPlugin = new CWebSearchPlugin;
	VERIFY_OK(pPlugin->ExternalQueryInterface(&IID_IOUIPlugin, (void**)ppPlugin));
	pPlugin->ExternalRelease();
	return S_OK;
}

//
//	Note!
//
//		If this DLL is dynamically linked against the MFC
//		DLLs, any functions exported from this DLL which
//		call into MFC must have the AFX_MANAGE_STATE macro
//		added at the very beginning of the function.
//
//		For example:
//
//		extern "C" BOOL PASCAL EXPORT ExportedFunction()
//		{
//			AFX_MANAGE_STATE(AfxGetStaticModuleState());
//			// normal function body here
//		}
//
//		It is very important that this macro appear in each
//		function, prior to any calls into MFC.  This means that
//		it must appear as the first statement within the 
//		function, even before any object variable declarations
//		as their constructors may generate calls into the MFC
//		DLL.
//
//		Please see MFC Technical Notes 33 and 58 for additional
//		details.
//

/////////////////////////////////////////////////////////////////////////////
// COcdwebApp

BEGIN_MESSAGE_MAP(COcdwebApp, CWinApp)
	//{{AFX_MSG_MAP(COcdwebApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COcdwebApp construction

/////////////////////////////////////////////////////////////////////////////
// The one and only COcdwebApp object

COcdwebApp theApp;
